Archived News for May 2008

Firefox 3 Compatible Add-ons

Firefox 3 is incompatible with quite a few of my browser add-ons. Luckily, I've been able to find better replacements that the add-ons I had in the first place.

  • I've replaced Sage with Brief as my RSS reader. Brief really is much nicer, and the Sage team have always been positively tardy in supporting new versions of Firefox.
  • I've replaced Google Browser Sync with Mozilla Weave. A painless, drop-in replacement. Google haven't updated their version since 2006.

Mozilla Weave

Newest Posts